<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: Thread::ThreadStatusTlv Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="../../annotated.html"><span>Classes</span></a></li>
      <li><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="../../classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="../../inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="../../functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('d4/df4/classThread_1_1ThreadStatusTlv.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="../../da/dfe/classThread_1_1ThreadStatusTlv-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Thread::ThreadStatusTlv Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This class implements Status TLV generation and parsing.  
 <a href="../../d4/df4/classThread_1_1ThreadStatusTlv.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="../../d8/d26/thread__tlvs_8hpp_source.html">src/core/thread/thread_tlvs.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Thread::ThreadStatusTlv:</div>
<div class="dyncontent">
<div class="center"><img src="../../d2/db6/classThread_1_1ThreadStatusTlv__inherit__graph.png" border="0" usemap="#Thread_1_1ThreadStatusTlv_inherit__map" alt="Inheritance graph"/></div>
<map name="Thread_1_1ThreadStatusTlv_inherit__map" id="Thread_1_1ThreadStatusTlv_inherit__map">
<area shape="rect" id="node2" href="../../dd/d2b/classThread_1_1ThreadTlv.html" title="This class implements Network Layer TLV generation and parsing. " alt="" coords="24,5,155,31"/>
</map>
<center><span class="legend">[<a target="top" href="../../graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for Thread::ThreadStatusTlv:</div>
<div class="dyncontent">
<div class="center"><img src="../../de/dfe/classThread_1_1ThreadStatusTlv__coll__graph.png" border="0" usemap="#Thread_1_1ThreadStatusTlv_coll__map" alt="Collaboration graph"/></div>
<map name="Thread_1_1ThreadStatusTlv_coll__map" id="Thread_1_1ThreadStatusTlv_coll__map">
<area shape="rect" id="node2" href="../../dd/d2b/classThread_1_1ThreadTlv.html" title="This class implements Network Layer TLV generation and parsing. " alt="" coords="24,5,155,31"/>
</map>
<center><span class="legend">[<a target="top" href="../../graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a0a1376dc8bb01111ac1a21170188fdf8"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/df4/classThread_1_1ThreadStatusTlv.html#a0a1376dc8bb01111ac1a21170188fdf8">Status</a> { <br />
&#160;&#160;<a class="el" href="../../d4/df4/classThread_1_1ThreadStatusTlv.html#a0a1376dc8bb01111ac1a21170188fdf8a5fb89c5f6001daef30afa2028aad4bd5">kSuccess</a> = 0, 
<br />
&#160;&#160;<a class="el" href="../../d4/df4/classThread_1_1ThreadStatusTlv.html#a0a1376dc8bb01111ac1a21170188fdf8ace6de0c3cc698f5e4fd3c429e16321ad">kNoAddressAvailable</a> = 1, 
<br />
&#160;&#160;<a class="el" href="../../d4/df4/classThread_1_1ThreadStatusTlv.html#a0a1376dc8bb01111ac1a21170188fdf8ad7b63b69f1aab8dac7c687217299815e">kTooFewRouters</a> = 2, 
<br />
&#160;&#160;<a class="el" href="../../d4/df4/classThread_1_1ThreadStatusTlv.html#a0a1376dc8bb01111ac1a21170188fdf8a693d46178b2f2c12c0df6afec605b6b3">kHaveChildIdRequest</a> = 3
<br />
 }<tr class="memdesc:a0a1376dc8bb01111ac1a21170188fdf8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Status values.  <a href="../../d4/df4/classThread_1_1ThreadStatusTlv.html#a0a1376dc8bb01111ac1a21170188fdf8">More...</a><br /></td></tr>
</td></tr>
<tr class="separator:a0a1376dc8bb01111ac1a21170188fdf8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_types_classThread_1_1ThreadTlv"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classThread_1_1ThreadTlv')"><img src="../../closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="../../dd/d2b/classThread_1_1ThreadTlv.html">Thread::ThreadTlv</a></td></tr>
<tr class="memitem:a95dcbabfa2637b1949a8fc7e6c9c6c20 inherit pub_types_classThread_1_1ThreadTlv"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d2b/classThread_1_1ThreadTlv.html#a95dcbabfa2637b1949a8fc7e6c9c6c20">Type</a> { <br />
&#160;&#160;<a class="el" href="../../dd/d2b/classThread_1_1ThreadTlv.html#a95dcbabfa2637b1949a8fc7e6c9c6c20a4cfcba644600c56b31d3e593345a92e9">kTarget</a> = 0, 
<br />
&#160;&#160;<a class="el" href="../../dd/d2b/classThread_1_1ThreadTlv.html#a95dcbabfa2637b1949a8fc7e6c9c6c20ae45fe50f25c66f9b364a6b9ed408a256">kExtMacAddress</a> = 1, 
<br />
&#160;&#160;<a class="el" href="../../dd/d2b/classThread_1_1ThreadTlv.html#a95dcbabfa2637b1949a8fc7e6c9c6c20a43f8806d2da64e1b652f976dc82807b5">kRloc16</a> = 2, 
<br />
&#160;&#160;<a class="el" href="../../dd/d2b/classThread_1_1ThreadTlv.html#a95dcbabfa2637b1949a8fc7e6c9c6c20a5bc550ea0e7e24ffc6b6b8566d3f5068">kMeshLocalEid</a> = 3, 
<br />
&#160;&#160;<a class="el" href="../../dd/d2b/classThread_1_1ThreadTlv.html#a95dcbabfa2637b1949a8fc7e6c9c6c20aab835b03f77da024a7fee49c28fc6529">kStatus</a> = 4, 
<br />
&#160;&#160;<a class="el" href="../../dd/d2b/classThread_1_1ThreadTlv.html#a95dcbabfa2637b1949a8fc7e6c9c6c20aefa4b27643bfe9c91d60a44787905bb6">kLastTransactionTime</a> = 6, 
<br />
&#160;&#160;<a class="el" href="../../dd/d2b/classThread_1_1ThreadTlv.html#a95dcbabfa2637b1949a8fc7e6c9c6c20ae79af98d544670d96254aa99f21a2f8c">kRouterMask</a> = 7, 
<br />
&#160;&#160;<a class="el" href="../../dd/d2b/classThread_1_1ThreadTlv.html#a95dcbabfa2637b1949a8fc7e6c9c6c20ae591ba9f07e54e7d23980ca6f9d3c082">kNDOption</a> = 8, 
<br />
&#160;&#160;<a class="el" href="../../dd/d2b/classThread_1_1ThreadTlv.html#a95dcbabfa2637b1949a8fc7e6c9c6c20ad9415a2fc0a3090e5c16268159186e9f">kNDData</a> = 9, 
<br />
&#160;&#160;<a class="el" href="../../dd/d2b/classThread_1_1ThreadTlv.html#a95dcbabfa2637b1949a8fc7e6c9c6c20a7636ee0c4f850dfa0b8c7412f5ea3367">kThreadNetworkData</a> = 10
<br />
 }<tr class="memdesc:a95dcbabfa2637b1949a8fc7e6c9c6c20"><td class="mdescLeft">&#160;</td><td class="mdescRight">Network Layer TLV Types.  <a href="../../dd/d2b/classThread_1_1ThreadTlv.html#a95dcbabfa2637b1949a8fc7e6c9c6c20">More...</a><br /></td></tr>
</td></tr>
<tr class="separator:a95dcbabfa2637b1949a8fc7e6c9c6c20 inherit pub_types_classThread_1_1ThreadTlv"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a249b814440f54492a04513f4e04f5212"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a249b814440f54492a04513f4e04f5212"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/df4/classThread_1_1ThreadStatusTlv.html#a249b814440f54492a04513f4e04f5212">Init</a> ()</td></tr>
<tr class="memdesc:a249b814440f54492a04513f4e04f5212"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method initializes the TLV. <br /></td></tr>
<tr class="separator:a249b814440f54492a04513f4e04f5212"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1417d5b6a95eef2e204161dd310795d7"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/df4/classThread_1_1ThreadStatusTlv.html#a1417d5b6a95eef2e204161dd310795d7">IsValid</a> () const </td></tr>
<tr class="memdesc:a1417d5b6a95eef2e204161dd310795d7"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method indicates whether or not the TLV appears to be well-formed.  <a href="#a1417d5b6a95eef2e204161dd310795d7">More...</a><br /></td></tr>
<tr class="separator:a1417d5b6a95eef2e204161dd310795d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1f78a16547215b763f9ba4b2c4c2067e"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/df4/classThread_1_1ThreadStatusTlv.html#a0a1376dc8bb01111ac1a21170188fdf8">Status</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/df4/classThread_1_1ThreadStatusTlv.html#a1f78a16547215b763f9ba4b2c4c2067e">GetStatus</a> () const </td></tr>
<tr class="memdesc:a1f78a16547215b763f9ba4b2c4c2067e"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method returns the Status value.  <a href="#a1f78a16547215b763f9ba4b2c4c2067e">More...</a><br /></td></tr>
<tr class="separator:a1f78a16547215b763f9ba4b2c4c2067e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4703f4632a623065dfbfc29e24f8ea67"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/df4/classThread_1_1ThreadStatusTlv.html#a4703f4632a623065dfbfc29e24f8ea67">SetStatus</a> (<a class="el" href="../../d4/df4/classThread_1_1ThreadStatusTlv.html#a0a1376dc8bb01111ac1a21170188fdf8">Status</a> aStatus)</td></tr>
<tr class="memdesc:a4703f4632a623065dfbfc29e24f8ea67"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method sets the Status value.  <a href="#a4703f4632a623065dfbfc29e24f8ea67">More...</a><br /></td></tr>
<tr class="separator:a4703f4632a623065dfbfc29e24f8ea67"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classThread_1_1ThreadTlv"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classThread_1_1ThreadTlv')"><img src="../../closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="../../dd/d2b/classThread_1_1ThreadTlv.html">Thread::ThreadTlv</a></td></tr>
<tr class="memitem:a60da431d24de15ce664368d2a96e5fcd inherit pub_methods_classThread_1_1ThreadTlv"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dd/d2b/classThread_1_1ThreadTlv.html#a95dcbabfa2637b1949a8fc7e6c9c6c20">Type</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d2b/classThread_1_1ThreadTlv.html#a60da431d24de15ce664368d2a96e5fcd">GetType</a> () const </td></tr>
<tr class="memdesc:a60da431d24de15ce664368d2a96e5fcd inherit pub_methods_classThread_1_1ThreadTlv"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method returns the Type value.  <a href="#a60da431d24de15ce664368d2a96e5fcd">More...</a><br /></td></tr>
<tr class="separator:a60da431d24de15ce664368d2a96e5fcd inherit pub_methods_classThread_1_1ThreadTlv"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad7e30f5f1a451e88ebca600514a434b9 inherit pub_methods_classThread_1_1ThreadTlv"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d2b/classThread_1_1ThreadTlv.html#ad7e30f5f1a451e88ebca600514a434b9">SetType</a> (<a class="el" href="../../dd/d2b/classThread_1_1ThreadTlv.html#a95dcbabfa2637b1949a8fc7e6c9c6c20">Type</a> aType)</td></tr>
<tr class="memdesc:ad7e30f5f1a451e88ebca600514a434b9 inherit pub_methods_classThread_1_1ThreadTlv"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method sets the Type value.  <a href="#ad7e30f5f1a451e88ebca600514a434b9">More...</a><br /></td></tr>
<tr class="separator:ad7e30f5f1a451e88ebca600514a434b9 inherit pub_methods_classThread_1_1ThreadTlv"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad58148cecaf4a01c4f53c923a09b51d1 inherit pub_methods_classThread_1_1ThreadTlv"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad58148cecaf4a01c4f53c923a09b51d1"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d2b/classThread_1_1ThreadTlv.html#ad58148cecaf4a01c4f53c923a09b51d1">GetLength</a> () const </td></tr>
<tr class="memdesc:ad58148cecaf4a01c4f53c923a09b51d1 inherit pub_methods_classThread_1_1ThreadTlv"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method returns the Length value. <br /></td></tr>
<tr class="separator:ad58148cecaf4a01c4f53c923a09b51d1 inherit pub_methods_classThread_1_1ThreadTlv"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a37cf188a803169aa9fb1e384def63f73 inherit pub_methods_classThread_1_1ThreadTlv"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d2b/classThread_1_1ThreadTlv.html#a37cf188a803169aa9fb1e384def63f73">SetLength</a> (uint8_t aLength)</td></tr>
<tr class="memdesc:a37cf188a803169aa9fb1e384def63f73 inherit pub_methods_classThread_1_1ThreadTlv"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method sets the Length value.  <a href="#a37cf188a803169aa9fb1e384def63f73">More...</a><br /></td></tr>
<tr class="separator:a37cf188a803169aa9fb1e384def63f73 inherit pub_methods_classThread_1_1ThreadTlv"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_static_methods_classThread_1_1ThreadTlv"><td colspan="2" onclick="javascript:toggleInherit('pub_static_methods_classThread_1_1ThreadTlv')"><img src="../../closed.png" alt="-"/>&#160;Static Public Member Functions inherited from <a class="el" href="../../dd/d2b/classThread_1_1ThreadTlv.html">Thread::ThreadTlv</a></td></tr>
<tr class="memitem:a4a079523209bf967433700e7010f4bde inherit pub_static_methods_classThread_1_1ThreadTlv"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d2b/classThread_1_1ThreadTlv.html#a4a079523209bf967433700e7010f4bde">GetTlv</a> (const <a class="el" href="../../dc/d3c/classThread_1_1Message.html">Message</a> &amp;aMessage, <a class="el" href="../../dd/d2b/classThread_1_1ThreadTlv.html#a95dcbabfa2637b1949a8fc7e6c9c6c20">Type</a> aType, uint16_t aMaxLength, <a class="el" href="../../dd/d2b/classThread_1_1ThreadTlv.html">ThreadTlv</a> &amp;aTlv)</td></tr>
<tr class="memdesc:a4a079523209bf967433700e7010f4bde inherit pub_static_methods_classThread_1_1ThreadTlv"><td class="mdescLeft">&#160;</td><td class="mdescRight">This static method reads the requested TLV out of <code>aMessage</code>.  <a href="#a4a079523209bf967433700e7010f4bde">More...</a><br /></td></tr>
<tr class="separator:a4a079523209bf967433700e7010f4bde inherit pub_static_methods_classThread_1_1ThreadTlv"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This class implements Status TLV generation and parsing. </p>
</div><h2 class="groupheader">Member Enumeration Documentation</h2>
<a class="anchor" id="a0a1376dc8bb01111ac1a21170188fdf8"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../d4/df4/classThread_1_1ThreadStatusTlv.html#a0a1376dc8bb01111ac1a21170188fdf8">Thread::ThreadStatusTlv::Status</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Status values. </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a class="anchor" id="a0a1376dc8bb01111ac1a21170188fdf8a5fb89c5f6001daef30afa2028aad4bd5"></a>kSuccess&#160;</td><td class="fielddoc">
<p>Success. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a0a1376dc8bb01111ac1a21170188fdf8ace6de0c3cc698f5e4fd3c429e16321ad"></a>kNoAddressAvailable&#160;</td><td class="fielddoc">
<p>No address available. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a0a1376dc8bb01111ac1a21170188fdf8ad7b63b69f1aab8dac7c687217299815e"></a>kTooFewRouters&#160;</td><td class="fielddoc">
<p>Address Solicit due to too few routers. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a0a1376dc8bb01111ac1a21170188fdf8a693d46178b2f2c12c0df6afec605b6b3"></a>kHaveChildIdRequest&#160;</td><td class="fielddoc">
<p>Address Solicit due to child ID request. </p>
</td></tr>
</table>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a1f78a16547215b763f9ba4b2c4c2067e"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/df4/classThread_1_1ThreadStatusTlv.html#a0a1376dc8bb01111ac1a21170188fdf8">Status</a> Thread::ThreadStatusTlv::GetStatus </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method returns the Status value. </p>
<dl class="section return"><dt>Returns</dt><dd>The Status value. </dd></dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d4/df4/classThread_1_1ThreadStatusTlv_a1f78a16547215b763f9ba4b2c4c2067e_icgraph.png" border="0" usemap="#d4/df4/classThread_1_1ThreadStatusTlv_a1f78a16547215b763f9ba4b2c4c2067e_icgraph" alt=""/></div>
<map name="d4/df4/classThread_1_1ThreadStatusTlv_a1f78a16547215b763f9ba4b2c4c2067e_icgraph" id="d4/df4/classThread_1_1ThreadStatusTlv_a1f78a16547215b763f9ba4b2c4c2067e_icgraph">
<area shape="rect" id="node2" href="../../db/dec/group__core-mle-router.html#gac7d2542017033898d0bc0f17a65d4656" title="This method checks if the destination is reachable. " alt="" coords="222,99,384,137"/>
<area shape="rect" id="node3" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a361ef901f6b665b3c7feac206089a7df" title="This method submits a message to the mesh forwarder for forwarding. " alt="" coords="432,69,596,108"/>
<area shape="rect" id="node5" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a5f726671448fb7cd72f8ee96db40731a" title="This method sets the scan parameters for MLE Discovery Request messages. " alt="" coords="644,131,813,169"/>
<area shape="rect" id="node4" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a3a55dcf590bf5941d216ff313b6ce0d0" title="This method gets the Data Poll period. " alt="" coords="646,5,811,44"/>
<area shape="rect" id="node10" href="../../d3/d8e/classThread_1_1ThreadNetif.html#a95f2ad1f6785b0de74e660e43ac86d33" title="This method submits a message to the network interface. " alt="" coords="658,68,799,107"/>
<area shape="rect" id="node6" href="../../df/d94/group__core-mle-core.html#gab299d00d1b2beabe8130e400dd6eca91" title="This method initiates a Thread Discovery. " alt="" coords="861,137,1042,163"/>
<area shape="rect" id="node7" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a1ca1f767cfe15e7c25b8f65606e7fefb" title="This method starts the Joiner service. " alt="" coords="1090,103,1263,141"/>
<area shape="rect" id="node8" href="../../d0/d0a/group__commands.html#ga8422cdf7d0b8b22c6dd107e6bb1309f2" title="This function starts a Thread Discovery scan. " alt="" coords="1135,165,1219,191"/>
<area shape="rect" id="node9" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="1311,159,1467,197"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a1417d5b6a95eef2e204161dd310795d7"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool Thread::ThreadStatusTlv::IsValid </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method indicates whether or not the TLV appears to be well-formed. </p>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">TRUE</td><td>If the TLV appears to be well-formed. </td></tr>
    <tr><td class="paramname">FALSE</td><td>If the TLV does not appear to be well-formed. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d4/df4/classThread_1_1ThreadStatusTlv_a1417d5b6a95eef2e204161dd310795d7_cgraph.png" border="0" usemap="#d4/df4/classThread_1_1ThreadStatusTlv_a1417d5b6a95eef2e204161dd310795d7_cgraph" alt=""/></div>
<map name="d4/df4/classThread_1_1ThreadStatusTlv_a1417d5b6a95eef2e204161dd310795d7_cgraph" id="d4/df4/classThread_1_1ThreadStatusTlv_a1417d5b6a95eef2e204161dd310795d7_cgraph">
<area shape="rect" id="node2" href="../../dd/d2b/classThread_1_1ThreadTlv.html#ad58148cecaf4a01c4f53c923a09b51d1" title="This method returns the Length value. " alt="" coords="222,5,361,44"/>
</map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d4/df4/classThread_1_1ThreadStatusTlv_a1417d5b6a95eef2e204161dd310795d7_icgraph.png" border="0" usemap="#d4/df4/classThread_1_1ThreadStatusTlv_a1417d5b6a95eef2e204161dd310795d7_icgraph" alt=""/></div>
<map name="d4/df4/classThread_1_1ThreadStatusTlv_a1417d5b6a95eef2e204161dd310795d7_icgraph" id="d4/df4/classThread_1_1ThreadStatusTlv_a1417d5b6a95eef2e204161dd310795d7_icgraph">
<area shape="rect" id="node2" href="../../db/dec/group__core-mle-router.html#gac7d2542017033898d0bc0f17a65d4656" title="This method checks if the destination is reachable. " alt="" coords="222,99,384,137"/>
<area shape="rect" id="node3" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a361ef901f6b665b3c7feac206089a7df" title="This method submits a message to the mesh forwarder for forwarding. " alt="" coords="432,69,596,108"/>
<area shape="rect" id="node5" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a5f726671448fb7cd72f8ee96db40731a" title="This method sets the scan parameters for MLE Discovery Request messages. " alt="" coords="644,131,813,169"/>
<area shape="rect" id="node4" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a3a55dcf590bf5941d216ff313b6ce0d0" title="This method gets the Data Poll period. " alt="" coords="646,5,811,44"/>
<area shape="rect" id="node10" href="../../d3/d8e/classThread_1_1ThreadNetif.html#a95f2ad1f6785b0de74e660e43ac86d33" title="This method submits a message to the network interface. " alt="" coords="658,68,799,107"/>
<area shape="rect" id="node6" href="../../df/d94/group__core-mle-core.html#gab299d00d1b2beabe8130e400dd6eca91" title="This method initiates a Thread Discovery. " alt="" coords="861,137,1042,163"/>
<area shape="rect" id="node7" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a1ca1f767cfe15e7c25b8f65606e7fefb" title="This method starts the Joiner service. " alt="" coords="1090,103,1263,141"/>
<area shape="rect" id="node8" href="../../d0/d0a/group__commands.html#ga8422cdf7d0b8b22c6dd107e6bb1309f2" title="This function starts a Thread Discovery scan. " alt="" coords="1135,165,1219,191"/>
<area shape="rect" id="node9" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="1311,159,1467,197"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a4703f4632a623065dfbfc29e24f8ea67"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Thread::ThreadStatusTlv::SetStatus </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/df4/classThread_1_1ThreadStatusTlv.html#a0a1376dc8bb01111ac1a21170188fdf8">Status</a>&#160;</td>
          <td class="paramname"><em>aStatus</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method sets the Status value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aStatus</td><td>The Status value. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d4/df4/classThread_1_1ThreadStatusTlv_a4703f4632a623065dfbfc29e24f8ea67_icgraph.png" border="0" usemap="#d4/df4/classThread_1_1ThreadStatusTlv_a4703f4632a623065dfbfc29e24f8ea67_icgraph" alt=""/></div>
<map name="d4/df4/classThread_1_1ThreadStatusTlv_a4703f4632a623065dfbfc29e24f8ea67_icgraph" id="d4/df4/classThread_1_1ThreadStatusTlv_a4703f4632a623065dfbfc29e24f8ea67_icgraph">
<area shape="rect" id="node2" href="../../db/dec/group__core-mle-router.html#gac7d2542017033898d0bc0f17a65d4656" title="This method checks if the destination is reachable. " alt="" coords="222,99,384,137"/>
<area shape="rect" id="node3" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a361ef901f6b665b3c7feac206089a7df" title="This method submits a message to the mesh forwarder for forwarding. " alt="" coords="432,69,596,108"/>
<area shape="rect" id="node5" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a5f726671448fb7cd72f8ee96db40731a" title="This method sets the scan parameters for MLE Discovery Request messages. " alt="" coords="644,131,813,169"/>
<area shape="rect" id="node4" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a3a55dcf590bf5941d216ff313b6ce0d0" title="This method gets the Data Poll period. " alt="" coords="646,5,811,44"/>
<area shape="rect" id="node10" href="../../d3/d8e/classThread_1_1ThreadNetif.html#a95f2ad1f6785b0de74e660e43ac86d33" title="This method submits a message to the network interface. " alt="" coords="658,68,799,107"/>
<area shape="rect" id="node6" href="../../df/d94/group__core-mle-core.html#gab299d00d1b2beabe8130e400dd6eca91" title="This method initiates a Thread Discovery. " alt="" coords="861,137,1042,163"/>
<area shape="rect" id="node7" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a1ca1f767cfe15e7c25b8f65606e7fefb" title="This method starts the Joiner service. " alt="" coords="1090,103,1263,141"/>
<area shape="rect" id="node8" href="../../d0/d0a/group__commands.html#ga8422cdf7d0b8b22c6dd107e6bb1309f2" title="This function starts a Thread Discovery scan. " alt="" coords="1135,165,1219,191"/>
<area shape="rect" id="node9" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="1311,159,1467,197"/>
</map>
</div>
</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>src/core/thread/<a class="el" href="../../d8/d26/thread__tlvs_8hpp_source.html">thread_tlvs.hpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>Thread</b></li><li class="navelem"><a class="el" href="../../d4/df4/classThread_1_1ThreadStatusTlv.html">ThreadStatusTlv</a></li>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:36 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
